Bug 1130778 - 12.4 Resizing a partition recommends using an unavailable option
Summary: 12.4 Resizing a partition recommends using an unavailable option
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-Storage_Administration_Guide
Version: 7.2
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: rc
: ---
Assignee: Milan Navratil
QA Contact: ecs-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-17 16:23 UTC by John Siddle
Modified: 2019-03-06 00:59 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-16 04:40:48 UTC


Attachments (Terms of Use)

Description John Siddle 2014-08-17 16:23:48 UTC
Description of problem:
In the RHEL 7 Storage Administration Guide, section 12.4 Resizing a Partition, step 4 recommends using the resize parted command. There is no resize parted command.

The upstream GNU parted manual states that "resize" has been removed and is replaced with "resizepart" which also isn't an option in the only version of parted currently available for RHEL 7 (parted-3.1-17.el7.x86_64).

http://www.gnu.org/software/parted/manual/parted.html

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
Following the steps in the guide results in no resizing of partitions. parted simply prints the list of available commands once for each argument entered.

Expected results:


Additional info:

Comment 2 Jacquelynn East 2014-09-25 00:48:10 UTC
Hi John, 

Thanks for spotting that! What command is used to resize partitions in RHEL7 if neither 'resize parted' nor 'resizepart' exist in RHEL7?

Thanks
Jacquelynn

Comment 3 John Siddle 2014-09-25 01:01:09 UTC
Hi Jacquelynn,

When I opened this bug I wasn't able to find a way to resize partitions with parted. I think fdisk had to be used, meaning disks with GPT partitioning schemes could not be resized.

I'll do some research and confer with some of the guys in storage support and let you know what I come up with.

--siddle

Comment 9 Brian J. Murrell 2016-06-30 03:45:25 UTC
Jacquelynn East 2015-06-16 00:40:48 EDT
Status: VERIFIED → CLOSED
Resolution: --- → CURRENTRELEASE
Last Closed: 2015-06-16 00:40:48

So what is the resolution here?  As John states, neither resize nor resizepartition are in the RHEL7 version of parted.

Is that intentional?  If so, why?

Comment 10 Milan Navratil 2016-07-25 20:20:59 UTC
Hi Brian,

I've taken over the Red Hat Enterprise Linux 7 Storage Administration Guide -- Jacquelynn East is no longer with Red Hat.

Section 12.4. Resizing a Partition no longer mentions the parted utility, and the fdisk utility is used instead:

https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html-single/Storage_Administration_Guide/index.html#s2-disk-storage-parted-resize-part

I'm working on improving the procedure a now in an unrelated BZ.

> So what is the resolution here?  As John states, neither resize nor 
> resizepartition are in the RHEL7 version of parted.
> Is that intentional?  If so, why?

Brian Lane is the development owner of the parted utility in Red Hat Enterprise Linux 7. Brian, would you be able to answer the question asked in comment 9?

Thank you.

Comment 11 Brian Lane 2016-07-25 21:49:37 UTC
Correct, the version of parted in RHEL7 does not support resize operations. It is intentional in that there have been no requests to backport the resizepart command.


Note You need to log in before you can comment on or make changes to this bug.